Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.simpledb.model
Class GetAttributesResult

    java.lang.Object
      com.amazonaws.services.simpledb.model.GetAttributesResult

    public class GetAttributesResult

extends Object

Get Attributes Result

Constructor Summary
`GetAttributesResult()`

Method Summary
`List<Attribute>` | `getAttributes()` The list of attributes returned by the operation.
`void` | `setAttributes(Collection<Attribute> attributes)` The list of attributes returned by the operation.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`GetAttributesResult` | `withAttributes(Attribute... attributes)` The list of attributes returned by the operation.
`GetAttributesResult` | `withAttributes(Collection<Attribute> attributes)` The list of attributes returned by the operation.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GetAttributesResult

    public GetAttributesResult()

Method Detail

### getAttributes

    public List<Attribute> getAttributes()

  The list of attributes returned by the operation.

  Returns:
    The list of attributes returned by the operation.

### setAttributes

    public void setAttributes(Collection<Attribute> attributes)

  The list of attributes returned by the operation.

  Parameters:
    `attributes` - The list of attributes returned by the operation.

### withAttributes

    public GetAttributesResult withAttributes(Attribute... attributes)

  The list of attributes returned by the operation.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `attributes` - The list of attributes returned by the operation.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withAttributes

    public GetAttributesResult withAttributes(Collection<Attribute> attributes)

  The list of attributes returned by the operation.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `attributes` - The list of attributes returned by the operation.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.